/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Spacing singleton.
// This make classes for more options of margins e paddings.
// .m is for margin and .p for padding.

/**
* t - for classes that set margin-top or padding-top
* b - for classes that set margin-bottom or padding-bottom
* l - for classes that set margin-left or padding-left
* r - for classes that set margin-right or padding-right
* x - for classes that set both *-left and *-right
* y - for classes that set both *-top and *-bottom
*/

@each $sizes, $valueSize in $spacers {
  
  // Margins
  .m-#{$sizes} {
    margin-bottom: $valueSize !important;
    margin-left: $valueSize !important;
    margin-right: $valueSize !important;
    margin-top: $valueSize !important;
  }
  
  .mb-#{$sizes},
  .my-#{$sizes} {
    margin-bottom: $valueSize !important;
  }
  
  .mt-#{$sizes},
  .my-#{$sizes} {
    margin-top: $valueSize !important;
  }  
  
  .ml-#{$sizes},
  .mx-#{$sizes} {
    margin-left: $valueSize !important;
  } 
  
  .mr-#{$sizes},
  .mx-#{$sizes} {
    margin-right: $valueSize !important;
  }
  
  //Margin auto
  .mb-auto,
  .my-auto {
    margin-bottom: auto !important;
  }
  
  .mt-auto,
  .my-auto {
    margin-top: auto !important;
  }  
  
  .ml-auto,
  .mx-auto {
    margin-left: auto !important;
  } 
  
  .mr-auto,
  .mx-auto {
    margin-right: auto !important;
  }
  
  //Paddings
  
  .p-#{$sizes} {
    padding: $valueSize !important;
  }
  
  .pb-#{$sizes},
  .py-#{$sizes} {
    padding-bottom: $valueSize !important;
  }
  
  .pt-#{$sizes},
  .py-#{$sizes} {
    padding-top: $valueSize !important;
  }  
  
  .pl-#{$sizes},
  .px-#{$sizes} {
    padding-left: $valueSize !important;
  } 
  
  .pr-#{$sizes},
  .px-#{$sizes} {
    padding-right: $valueSize !important;
  }
  
  //Global Padding and margin
  
  //Padding global
  .pg-#{$sizes} {
    padding: $valueSize !important;
  }
  
  .mg-#{$sizes} {
    margin: $valueSize !important;
  }
}

.m-auto {
  margin: auto;
}
